/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.distribution;

import javax.rmi.PortableRemoteObject;
import org.objectweb.jonas.jtests.beans.bank.Manager;
import org.objectweb.jonas.jtests.beans.bank.ManagerHome;
import org.objectweb.jonas.jtests.util.JTestCase;

public abstract class A_bankLoad extends A_bankRead {

    public A_bankLoad(String name) {
        super(name);
    }

    public void testReinit() throws Exception {
        manager.reinitAll();
    }

    /**
     * test many concurrent connections.
     */
    public void testConnections() throws Exception {
        ope(OP_READ, 0, 19, 10, 24);
    }

    /**
     * test many concurrent connections with TX
     */
    public void testConnectionsTx() throws Exception {
        ope(OP_READTX, 0, 19, 10, 24);
    }

    /**
     * test many concurrent connections with TX
     */
    public void testConnectionsTx2() throws Exception {
        ope(OP_READTX, 0, 19, 20, 50);
    }

    public void testMultiOneMove() throws Exception {
        ope(OP_ONEMOVE, 0, 5, 1, 20);
    }

    public void testMultiOneMoveTx() throws Exception {
        ope(OP_ONEMOVETX, 0, 5, 1, 20);
    }

}
